# SourcePath: findutils/20070910dev
Summary: utilities for finding files--find, xargs, and locate
Name: sony-target-dev-findutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-findutils
Version: 4.2.31
Release: 08020202
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/findutils
Source: findutils-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRoot: %{_tmppath}/%{name}-root
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
These utilities find files meeting specified criteria and perform
various actions on the files which are found.

%package -n %{pkgname}
Summary: utilities for finding files--find, xargs, and locate
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
These utilities find files meeting specified criteria and perform
various actions on the files which are found.

%prep
%setup -q -n findutils-%{version}

%build
%sony_target_dev_setup
export ac_cv_func_setvbuf_reversed='no'
export ac_cv_path_SORT=/usr/local/bin/sort
%{sony_target_dev_configure}

make all LOCATE_DB=%{sony_target_dev_localstate_dir}/lib/locate/locatedb | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall | tee -a build.log
### gzip -9f %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_prefix}/man/man?/*
### gzip -9f %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_prefix}/info/*
cd ..
install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/locate

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}
mv  %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/xargs %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/xargs
%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/find
%{sony_target_dir}%{sony_target_dev_bin_dir}/locate
%{sony_target_dir}%{sony_target_dev_bin_dir}/updatedb
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/xargs
%{sony_target_dir}%{sony_target_dev_libexec_dir}/bigram
%{sony_target_dir}%{sony_target_dev_libexec_dir}/code
%{sony_target_dir}%{sony_target_dev_libexec_dir}/frcode
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/locate

%changelog
* Wed Apr 15 2009 Sony Corporation
- Updated to 6.x

* Wed Feb 04 2009 Sony Corporation
- added ac_cv_path_SORT for updatedb command

* Thu Oct 04 2007 Sony Corporation
- version-up 4.1.7 -> 4.2.31

* Thu Jun 15 2006 Sony Corporation
- change Install Location: xargs

* Tue May 10 2005 Sony Corporation
- modify symbolic links

* Fri Mar 25 2005 Sony Corporation
- add some links

* Wed Nov 17 2004 Sony Corporation
- delete online manual

* Fri Aug 27 2004 Sony Corporation - 4.1.7-1
- Conformed to 20040825-rule

* Tue Aug  3 2004 Sony Corporation - dev-findutils
- Initial build.
